summaryrefslogtreecommitdiffstats
path: root/run-tests.sh
diff options
context:
space:
mode:
authorHarshavardhana <harsha@harshavardhana.net>2014-08-19 16:14:03 -0700
committerHarshavardhana <harsha@harshavardhana.net>2014-08-26 15:27:29 -0700
commit74cf4e1920db1edae6728cfe632e4ca7aea5be59 (patch)
tree33f116ca794e57979ceccd340f8151995e51569a /run-tests.sh
parent77ce88681c15e711e87d23b891a488b2fd825eb0 (diff)
porting: `pidof` portability for OSX/FreeBSD
- Provide a portable `pidof` just to be used specifically with glusterfs regression tests on OSX and FreeBSD. This was written after countless hrs of effort to get a sane `pidof` working on either of the environments. `pidof` comes at the wake of lack of proper procfs support and also incompatible way of handling process names since glusterd/glusterfs are symbolic links to 'glusterfsd' - tests/utils/* directory should be part of 'PATH' to avoid abspath calculation using $(dirname) - cleanup() - rpcinfo command prints error on FreeBSD/OSX fix it Change-Id: I35f86273624cb279da1c8fae056ca27669e251d8 BUG: 1131713 Signed-off-by: Harshavardhana <harsha@harshavardhana.net> Reviewed-on: http://review.gluster.org/8499 Reviewed-by: Jeff Darcy <jdarcy@redhat.com> Tested-by: Gluster Build System <jenkins@build.gluster.com>
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 8db2ce7035c..bcf2a69a5cc 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -60,6 +60,14 @@ function check_dependencies()
MISSING="$MISSING pidof"
fi
+ # check for psutil python package
+ test `uname -s` == "Darwin" || test `uname -s` == "FreeBSD" && {
+ pip show psutil | grep -q psutil >/dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING psutil"
+ fi
+ }
+
## If dependencies are missing, warn the user and abort
if [ "x$MISSING" != "x" ]; then
test "x${force}" != "xyes" && echo "Aborting."